Bug 583072 (CVE-2010-1170) - CVE-2010-1170 PostgreSQL: PL/Tcl Intended restriction bypass
Summary: CVE-2010-1170 PostgreSQL: PL/Tcl Intended restriction bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1170
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 586056 586057 586058 586059 586060 586061 589541 589543 593032 593033 636659 812237 812245
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 15:30 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-21 07:31:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0427 0 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 15:48:23 UTC
Red Hat Product Errata RHSA-2010:0428 0 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 16:15:45 UTC
Red Hat Product Errata RHSA-2010:0429 0 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 16:29:57 UTC
Red Hat Product Errata RHSA-2010:0430 0 normal SHIPPED_LIVE Moderate: postgresql84 security update 2010-05-19 17:01:37 UTC

Description Jan Lieskovsky 2010-04-16 15:30:03 UTC
A flaw was found in the way the PostgreSQL enforced permission
checks on scripts written in PL/Tcl. Once the PL/Tcl procedural
language was registered on particular database, a remote,
authenticated user, privileged to create databases, running a
specially-crafted PL/Tcl script, could use this flaw to bypass
intended PL/Tcl trusted mode restrictions, allowing them to run
arbitrary Tcl scripts with the privileges of the database server.

References:
  [1] PostgreSQL PL/Tcl procedural language manual page:
      http://www.postgresql.org/docs/8.1/interactive/pltcl.html

Comment 4 Jan Lieskovsky 2010-04-21 16:18:11 UTC
This is CVE-2010-1170.

Comment 11 Vincent Danen 2010-05-17 16:40:20 UTC
This is now public:

http://www.postgresql.org/support/security.html

Comment 14 Fedora Update System 2010-05-17 19:08:46 UTC
postgresql-8.4.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql-8.4.4-1.fc12

Comment 15 Fedora Update System 2010-05-17 19:08:56 UTC
postgresql-8.3.11-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/postgresql-8.3.11-1.fc11

Comment 16 Fedora Update System 2010-05-17 19:09:05 UTC
postgresql-8.4.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/postgresql-8.4.4-1.fc13

Comment 17 Fedora Update System 2010-05-18 21:45:05 UTC
postgresql-8.4.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-18 21:53:30 UTC
postgresql-8.4.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-05-18 21:57:52 UTC
postgresql-8.3.11-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Tomas Hoger 2010-05-19 07:42:41 UTC
Upstream commit (head/master branch):
http://git.postgresql.org/gitweb?p=postgresql.git;a=commitdiff;h=989b6ff11931dd742552dd3b8d51f3225ce9fb2e
http://git.postgresql.org/gitweb?p=postgresql.git;a=commitdiff;h=09d3c3f3353c0a836935a87896097bae2d5bd81c

It seems upstream had some issues with CVS -> git repo sync, adding link to relevant commit list mail for completeness:
http://archives.postgresql.org/pgsql-committers/2010-05/msg00221.php

Comment 21 errata-xmlrpc 2010-05-19 15:48:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0427 https://rhn.redhat.com/errata/RHSA-2010-0427.html

Comment 22 errata-xmlrpc 2010-05-19 16:16:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0428 https://rhn.redhat.com/errata/RHSA-2010-0428.html

Comment 23 errata-xmlrpc 2010-05-19 16:30:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0429 https://rhn.redhat.com/errata/RHSA-2010-0429.html

Comment 24 errata-xmlrpc 2010-05-19 17:01:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0430 https://rhn.redhat.com/errata/RHSA-2010-0430.html

Comment 28 Vincent Danen 2010-09-22 20:11:36 UTC
Created sepostgresql tracking bugs for this issue

Affects: fedora-all [bug 636659]


Note You need to log in before you can comment on or make changes to this bug.